Package ghidra.util.layout

# Class StretchLayout

java.lang.Object
ghidra.util.layout.StretchLayout

All Implemented Interfaces:
  `LayoutManager`, `Serializable`

public class StretchLayout extends Object implements LayoutManager, Serializable
A layout manager that gives the affect of CENTER in BorderLayout.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StretchLayout()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  `void`
  `layoutContainer(Container container)`
  `Dimension`
  `minimumLayoutSize(Container cont)`
  `Dimension`
  `preferredLayoutSize(Container container)`
  `void`
  `removeLayoutComponent(Component comp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StretchLayout

    public StretchLayout()

- ## Method Details

  - ### addLayoutComponent

    public void addLayoutComponent(String name, Component comp)
    Specified by:
      `addLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.addLayoutComponent(java.lang.String, java.awt.Component)`

  - ### removeLayoutComponent

    public void removeLayoutComponent(Component comp)
    Specified by:
      `removeLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.removeLayoutComponent(java.awt.Component)`

  - ### preferredLayoutSize

    public Dimension preferredLayoutSize(Container container)
    Specified by:
      `preferredLayoutSize` in interface `LayoutManager`
    See Also:
      - `LayoutManager.preferredLayoutSize(java.awt.Container)`

  - ### minimumLayoutSize

    public Dimension minimumLayoutSize(Container cont)
    Specified by:
      `minimumLayoutSize` in interface `LayoutManager`
    See Also:
      - `LayoutManager.minimumLayoutSize(java.awt.Container)`

  - ### layoutContainer

    public void layoutContainer(Container container)
    Specified by:
      `layoutContainer` in interface `LayoutManager`
    See Also:
      - `LayoutManager.layoutContainer(java.awt.Container)`